<?php
/**
 * @var array $modules_info
 * @var int $module_count
 * @var int $page_number
 * @var int $per_page
 * @var \kernel\services\ModuleService $moduleService
 */

use Itguild\Tables\ListJsonTable;

$meta = [];
$meta['columns'] = [
    "name" => "Название",
    "author" => "Автор",
    "version" => "Версия",
    "description" => "Описание",
    "installations" => "Установки",
    "views" => "Просмотры"
];
$meta['params'] = ["class" => "table table-bordered"];
$meta['perPage'] = $per_page;
$meta['baseUrl'] = "/admin/module_shop_client";
$meta['currentPage'] = $page_number;
$meta['total'] = $module_count;

$info_to_table['meta'] = $meta;
$info_to_table['data'] = $modules_info;

$table = new ListJsonTable(json_encode($info_to_table, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));

$table->addAction(\kernel\IGTabel\action_column\ViewActionColumn::class);

$table->addAction(function ($row, $url) use ($moduleService){
    $slug = $row['slug'];
    $id = $row['id'];
    if ($moduleService->isInstall($slug)){
        $label = "Удалить";
        $btn_type = "danger";
        $btn = "<a class='btn btn-$btn_type' href='$url/delete/?slug=$slug' style='margin: 3px; width: 150px;' >$label</a>";
    }
    else {
        $label = "Установить";
        $btn_type = "warning";
        $btn = "<a class='btn btn-$btn_type' href='$url/install/?id=$id' style='margin: 3px; width: 150px;' >$label</a>";
    }

    return $btn;
});

$table->addAction(function ($row, $url) use ($moduleService){
    $slug = $row['slug'];
    $id = $row['id'];
    if ($moduleService->isInstall($slug)){
        if (!$moduleService->isLastVersion($slug)) {
            $label = "Обновить";
            $btn_type = "danger";
            return "<a class='btn btn-$btn_type' href='$url/update/?id=$id' style='margin: 3px; width: 150px;' >$label</a>";
        }
    }
    return false;

});


$table->create();

\kernel\widgets\ModuleTabsWidget::create()->run();
$table->render();
